# Contributing to Contao

The following is a set of guidelines for contributing to Contao and its
packages, which are hosted in the [Contao organization][1] on GitHub. These
are just guidelines, not rules, use your best judgement and feel free to
propose changes to this document in a pull request.

## Submitting issues

* Use the search function to see if a similar issue has already been submitted.
* Describe the issue in detail and include all the steps to follow in order to
  reproduce the bug in the [online demo][2].
* Include the version of Contao and PHP you are using.
* Include screenshots if possible; they are immensely helpful.
* If you are reporting a bug, please include any related error message you are
  seeing and also check the `system/logs/error.log` file.

## Pull requests

* Follow the Contao coding standards.
* Create your pull request against the `master` branch for bug fixes or the
  `develop` branch for new features.
* Include screenshots in your pull request whenever possible.

## Git commit messages

* Use the present tense ("Add feature" not "Added feature").
* Use the imperative mood ("Move cursor to …" not "Moves cursor to …").
* Reference issues and pull requests liberally.

[1]: https://github.com/contao
[2]: http://demo.contao.org
